%define name audacious
%define version 3.2.4
%define prerel 0
%define rel 1
%if %prerel
%define release	%mkrel -c  %prerel %rel
%define fname %name-%version-%prerel
%else
%define fname %name-%version
%define release %mkrel %rel
%endif
%define major 		1
%define libname 	%mklibname %{name} %{major}
%define major2 		2
%define libname2 	%mklibname %{name} %{major2}
%define libname_devel 	%mklibname %{name} -d

Summary:	A versatile and handy media player
Name:		%name
Version:        %version
Release:	%release
Epoch:		5
Source0:	http://distfiles.audacious-media-player.org/%fname.tar.bz2
Patch0:		audacious-3.2-beta1-linking.patch
License:	GPLv3+
Group:		Sound
Url:		http://audacious-media-player.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  libmcs-devel >= 0.4.0
%if %mdvver >= 201100
BuildRequires:	gtk+3-devel
%else
BuildRequires:	gtk2-devel >= 2.6.0
%endif
BuildRequires:	dbus-glib-devel
BuildRequires:	libguess-devel
BuildRequires:  desktop-file-utils
BuildRequires:  chrpath
BuildRequires:  gtk-doc
Suggests: audacious-pulse
Requires: audacious-plugins
Requires:	%{libname} = %epoch:%{version}
Requires:	%{libname2} = %epoch:%{version}
Provides:	beep-media-player
Obsoletes:	beep-media-player
Requires(post):  desktop-file-utils
Requires(postun):  desktop-file-utils

%description
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

%package -n %{libname}
Group:		System/Libraries
Summary:	Library for %{name}
Epoch: %epoch

%description -n %{libname}
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.
This package contains the library needed by %{name}.

%package -n %{libname2}
Group:		System/Libraries
Summary:	Library for %{name}
Epoch: %epoch

%description -n %{libname2}
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.
This package contains the library needed by %{name}.

%package -n %{libname_devel}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}
Requires:	%{libname2} = %{epoch}:%{version}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%mklibname -d %name 5
Epoch: %epoch

%description -n %{libname_devel}
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.
This package contains the files needed for developing applications
which use %{name}.

%prep
%setup -q -n %fname
%apply_patches

%build
#gw: else libid3tag does not build
%define _disable_ld_no_undefined 1
%configure2_5x --enable-chardet

%make
#make documentation-build

%install
rm -rf $RPM_BUILD_ROOT installed-docs
%makeinstall_std
chrpath -d %buildroot%_bindir/*
#mkdir installed-docs
#cp -r doc/audacious/html installed-docs/audacious
#cp -r doc/libaudacious/html installed-docs/libaudacious

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Audio" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*
rm -rf %buildroot%_datadir/audacious/applications/

%find_lang %name
rm -f %buildroot%_includedir/mp4.h

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(0755,root,root,0755)
%_bindir/audtool
%{_bindir}/%{name}
%defattr(0644,root,root,0755)
%doc AUTHORS
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%name
%dir %{_datadir}/%name/images
%{_datadir}/%name/images/*.png
%{_datadir}/%name/images/*.xpm
%_datadir/pixmaps/audacious.*
%_datadir/icons/hicolor/*/apps/*
%{_mandir}/man1/*

%files -n %{libname}
%defattr(0644,root,root,0755)
%{_libdir}/*.so.%{major}*

%files -n %{libname2}
%defattr(0644,root,root,0755)
%_libdir/libaudclient.so.%{major2}*

%files -n %{libname_devel}
%defattr(0644,root,root,0755)
%dir %{_includedir}/%name
%{_includedir}/libaudcore
%{_includedir}/libaudgui

%{_includedir}/%name/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Jul 06 2012 Alexander Khrukin <akhrukin@mandriva.org> 5:3.2.4-1
+ Revision: 808369
- version update 3.2.4

* Wed May 30 2012 Götz Waschk <waschk@mandriva.org> 5:3.2.3-1
+ Revision: 801228
- update to new version 3.2.3

* Mon Apr 02 2012 Götz Waschk <waschk@mandriva.org> 5:3.2.2-1
+ Revision: 788679
- new version

* Tue Feb 28 2012 Götz Waschk <waschk@mandriva.org> 5:3.2.1-1
+ Revision: 781226
- new version

* Mon Jan 23 2012 Götz Waschk <waschk@mandriva.org> 5:3.2-1
+ Revision: 766771
- update docs list
- new version

* Tue Jan 10 2012 Götz Waschk <waschk@mandriva.org> 5:3.2-0.beta2.1
+ Revision: 759509
- new prerelease

* Sun Jan 01 2012 Götz Waschk <waschk@mandriva.org> 5:3.2-0.beta1.1
+ Revision: 748660
- fix linking
- drop patch 1
- new prerelease
- new source URL
- update build deps
- spec cleanup

* Tue Dec 06 2011 Götz Waschk <waschk@mandriva.org> 5:3.1.1-1
+ Revision: 738106
- new version

* Wed Nov 09 2011 Götz Waschk <waschk@mandriva.org> 5:3.1-1
+ Revision: 729319
- new version

* Wed Nov 02 2011 Götz Waschk <waschk@mandriva.org> 5:3.1-0.beta3.2
+ Revision: 712599
- build with gtk+3

* Wed Oct 26 2011 Götz Waschk <waschk@mandriva.org> 5:3.1-0.beta3.1
+ Revision: 707272
- new prerelease
- remove old configure option

* Mon Oct 17 2011 Götz Waschk <waschk@mandriva.org> 5:3.1-0.beta2.1
+ Revision: 704978
- new prerelease

* Tue Sep 20 2011 Götz Waschk <waschk@mandriva.org> 5:3.0.3-1
+ Revision: 700537
- update to new version 3.0.3

* Thu Aug 25 2011 Götz Waschk <waschk@mandriva.org> 5:3.0.2-1
+ Revision: 696550
- update to new version 3.0.2

* Sat Aug 13 2011 Götz Waschk <waschk@mandriva.org> 5:3.0.1-1
+ Revision: 694419
- update to new version 3.0.1

* Tue Jul 19 2011 Götz Waschk <waschk@mandriva.org> 5:3.0-1
+ Revision: 690596
- new version

* Mon Jul 18 2011 Götz Waschk <waschk@mandriva.org> 5:2.5.4-1
+ Revision: 690247
- update to new version 2.5.4

* Thu Jun 30 2011 Götz Waschk <waschk@mandriva.org> 5:2.5.3-1
+ Revision: 688351
- update to new version 2.5.3

* Tue Jun 21 2011 Götz Waschk <waschk@mandriva.org> 5:2.5.2-1
+ Revision: 686473
- new version
- bz2 tarball

* Sat May 21 2011 Götz Waschk <waschk@mandriva.org> 5:2.5.1-1
+ Revision: 676722
- update to new version 2.5.1

* Thu May 05 2011 Götz Waschk <waschk@mandriva.org> 5:2.5.0-1
+ Revision: 669217
- new version
- bump libmowgli dep
- update file list

* Fri Feb 25 2011 Götz Waschk <waschk@mandriva.org> 5:2.4.4-1
+ Revision: 639778
- new version

* Wed Jan 26 2011 Götz Waschk <waschk@mandriva.org> 5:2.4.3-3
+ Revision: 632978
- rebuild

* Sun Jan 23 2011 Götz Waschk <waschk@mandriva.org> 5:2.4.3-2
+ Revision: 632440
- rebuild

* Thu Jan 13 2011 Götz Waschk <waschk@mandriva.org> 5:2.4.3-1
+ Revision: 631007
- update to new version 2.4.3

* Wed Dec 08 2010 Götz Waschk <waschk@mandriva.org> 5:2.4.2-1mdv2011.0
+ Revision: 615993
- new version
- fix source URL

* Thu Aug 26 2010 Götz Waschk <waschk@mandriva.org> 5:2.4.0-1mdv2011.0
+ Revision: 573425
- new version

* Mon Aug 16 2010 Götz Waschk <waschk@mandriva.org> 5:2.4-0.rc2.1mdv2011.0
+ Revision: 570284
- new release candidate

* Wed Aug 11 2010 Götz Waschk <waschk@mandriva.org> 5:2.4-0.rc1.1mdv2011.0
+ Revision: 569002
- new release candidate

* Thu Aug 05 2010 Götz Waschk <waschk@mandriva.org> 5:2.4-0.beta2.1mdv2011.0
+ Revision: 566291
- new beta version

* Sat Jul 24 2010 Götz Waschk <waschk@mandriva.org> 5:2.4-0.beta1.1mdv2011.0
+ Revision: 558214
- new beta version
- build with libguess
- update file list

* Mon May 24 2010 Götz Waschk <waschk@mandriva.org> 5:2.3-2mdv2010.1
+ Revision: 545775
- fix broken symlinks (bug #59462)

* Thu Apr 08 2010 Götz Waschk <waschk@mandriva.org> 5:2.3-1mdv2010.1
+ Revision: 532884
- new version
- remove libSAD

* Wed Nov 25 2009 Götz Waschk <waschk@mandriva.org> 5:2.2-1mdv2010.1
+ Revision: 469945
- new version
- suggest audacious-pulse again

* Tue Nov 10 2009 Götz Waschk <waschk@mandriva.org> 5:2.2-0.beta2.1mdv2010.1
+ Revision: 463967
- new prerelease
- don't suggest pulseaudio plugin anymore

* Sun Nov 08 2009 Götz Waschk <waschk@mandriva.org> 5:2.2-0.beta1.1mdv2010.1
+ Revision: 463253
- new version
- drop patches 0,2
- update file list

* Sun Aug 09 2009 Götz Waschk <waschk@mandriva.org> 5:2.1-2mdv2010.0
+ Revision: 412762
- remove udet support, fixes bug #52712

* Mon Jul 13 2009 Götz Waschk <waschk@mandriva.org> 5:2.1-1mdv2010.0
+ Revision: 395442
- new version

* Thu May 14 2009 Götz Waschk <waschk@mandriva.org> 5:2.0.1-1mdv2010.0
+ Revision: 375638
- new version

* Wed May 13 2009 Götz Waschk <waschk@mandriva.org> 5:2.0.0-1mdv2010.0
+ Revision: 375231
- new version

* Tue May 12 2009 Götz Waschk <waschk@mandriva.org> 5:2.0-0.beta1.1mdv2010.0
+ Revision: 374892
- new version
- new library package
- drop patch 0
- rediff patch 2
- update file list

* Thu Jan 22 2009 Götz Waschk <waschk@mandriva.org> 5:1.5.1-4mdv2009.1
+ Revision: 332676
- fix format strings

* Mon Jul 21 2008 Götz Waschk <waschk@mandriva.org> 5:1.5.1-3mdv2009.0
+ Revision: 239389
- update license

* Tue Jun 10 2008 Götz Waschk <waschk@mandriva.org> 5:1.5.1-2mdv2009.0
+ Revision: 217430
- really disable --no-undefined
- fix bug #41360 (crash with audacious -p without files)
- disable no-undefined again
- reenable no-undefined
- spec cleanup
- comment usage of _disable_ld_no_undefined

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun May 25 2008 Götz Waschk <waschk@mandriva.org> 5:1.5.1-1mdv2009.0
+ Revision: 211158
- new version
- rediff the patch
- disable --no-undefined to make it build

* Wed Apr 23 2008 Götz Waschk <waschk@mandriva.org> 5:1.5.0-2mdv2009.0
+ Revision: 196915
- disable sse2

* Tue Apr 08 2008 Götz Waschk <waschk@mandriva.org> 5:1.5.0-1mdv2009.0
+ Revision: 192409
- new version
- drop patch 0
- update file list

* Mon Feb 18 2008 Götz Waschk <waschk@mandriva.org> 5:1.4.6-2mdv2008.1
+ Revision: 171206
- rebuild for new libmcs

* Fri Feb 01 2008 Götz Waschk <waschk@mandriva.org> 5:1.4.6-1mdv2008.1
+ Revision: 161113
- new version

* Wed Jan 23 2008 Thierry Vignaud <tv@mandriva.org> 5:1.4.5-3mdv2008.1
+ Revision: 157126
- suggests audacious-pulse

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Tue Jan 01 2008 Götz Waschk <waschk@mandriva.org> 5:1.4.5-2mdv2008.1
+ Revision: 140162
- rebuild for new libmowgli

* Sun Dec 30 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.5-1mdv2008.1
+ Revision: 139619
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 06 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.4-1mdv2008.1
+ Revision: 115819
- new version

* Mon Nov 19 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.2-1mdv2008.1
+ Revision: 110200
- new version

* Fri Nov 02 2007 Funda Wang <fwang@mandriva.org> 5:1.4.0-0.rc1.1mdv2008.1
+ Revision: 105158
- New version 1.4.0 rc1

* Mon Oct 29 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.0-0.beta4.1mdv2008.1
+ Revision: 102929
- new version
- update file list

* Sat Oct 20 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.0-0.beta2.1mdv2008.1
+ Revision: 100600
- new version

* Mon Oct 15 2007 Funda Wang <fwang@mandriva.org> 5:1.4.0-0.beta1.3mdv2008.1
+ Revision: 98708
- obsoletes old devel package

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.0-0.beta1.2mdv2008.1
+ Revision: 98476
- rebuild for new libmowgli

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.0-0.beta1.1mdv2008.1
+ Revision: 98434
- new version
- fix deps
- fix installation
- update file list

* Wed Oct 10 2007 Götz Waschk <waschk@mandriva.org> 4:1.4.0-0.dr4.1mdv2008.1
+ Revision: 96670
- new version
- new major
- bump deps
- drop patch 2
- fix build

* Wed Aug 08 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.2-3mdv2008.0
+ Revision: 60040
- fix backslash in file name (upstream bug#1006)

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.2-2mdv2008.0
+ Revision: 14168
- don't use bitmap fonts in the main window by default

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.2-1mdv2007.1
+ Revision: 13642
- new version
- enable character set detection in tags

